#!/bin/sh

# Expects setup.bash to have been sourced, and <ext>/packages/$HADOOP_PREFIX to
# be unarchived
if [ -z "$HADOOP_PREFIX" ]; then
    echo "\nError! HADOOP_PREFIX not set, run setup.bash in Greenstone folder\n"
    exit 1
fi

if [ ! -d $HADOOP_PREFIX ]; then
    echo "\nError! Directory does not exist: $HADOOP_PREFIX\n"
    exit 1
fi

# Default port number
PORT=58660
if [ -n "$1" ]; then
  PORT=$1
fi

# the hadoop configuration path
HADOOP_CONF_DIR=$HADOOP_PREFIX/conf/

CLASSPATH=${HADOOP_CONF_DIR}

for f in $HADOOP_PREFIX/*.jar ; do
    CLASSPATH=$CLASSPATH:$f
done

for f in $HADOOP_PREFIX/lib/*.jar ; do
    CLASSPATH=$CLASSPATH:$f
done

for f in $HADOOP_PREFIX/contrib/thriftfs/*.jar ; do
    CLASSPATH=$CLASSPATH:$f
done

for f in $HADOOP_PREFIX/contrib/thriftfs/lib/*.jar ; do
    CLASSPATH=$CLASSPATH:$f
done

java -Dcom.sun.management.jmxremote -cp $CLASSPATH org.apache.hadoop.thriftfs.HadoopThriftServer $PORT $*

